# -*- coding: UTF-8 -*-
#
# Copyright (C) 2007 by Jan Dittberner.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.
#
# Version: $Id$

from sqlalchemy import *
from gnuviechadmin.tables import *
from gnuviechadmin.exceptions import *

class Sysuser(object):
    def __repr__(self):
        return "%(sysuserid)d,%(username)s,%(clientid)d,%(sysuid)d" % ({
            'sysuserid': self.sysuserid,
            'username': self.username,
            'clientid': self.clientid,
            'sysuid': self.sysuid})

sysusermapper = mapper(Sysuser, sysuser_table)
